Home Information Classes Download Usage Mail List Requirements Links Tutorial

# OneZero Class Reference

STK one-zero filter class. More...

`#include <OneZero.h>`

Inheritance diagram for OneZero:

List of all members.

## Public Member Functions

| OneZero ()
| Default constructor creates a first-order low-pass filter.
| OneZero (MY_FLOAT theZero)
| Overloaded constructor which sets the zero position during instantiation.
| ~OneZero ()
| Class destructor.
void | clear (void)
| Clears the internal state of the filter.
void | setB0 (MY_FLOAT b0)
| Set the b[0] coefficient value.
void | setB1 (MY_FLOAT b1)
| Set the b[1] coefficient value.
void | setZero (MY_FLOAT theZero)
| Set the zero position in the z-plane.
void | setGain (MY_FLOAT theGain)
| Set the filter gain.
MY_FLOAT | getGain (void) const
| Return the current filter gain.
MY_FLOAT | lastOut (void) const
| Return the last computed output value.
MY_FLOAT | tick (MY_FLOAT sample)
| Input one sample to the filter and return one output.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Input vectorSize samples to the filter and return an equal number of outputs in vector.

## Detailed Description

STK one-zero filter class.

This protected Filter subclass implements a one-zero digital filter. A method is provided for setting the zero position along the real axis of the z-plane while maintaining a constant filter gain.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 20 of file OneZero.h.

## Member Function Documentation

void OneZero::setZero | ( | MY_FLOAT | theZero | ) |

| Set the zero position in the z-plane. This method sets the zero position along the real-axis of the z-plane and normalizes the coefficients for a maximum gain of one. A positive zero value produces a high-pass filter, while a negative zero value produces a low-pass filter. This method does not affect the filter gain value.

void OneZero::setGain | ( | MY_FLOAT | theGain | ) | `[virtual]`

| Set the filter gain. The gain is applied at the filter input and does not affect the coefficient values. The default gain value is 1.0. Reimplemented from Filter.

The documentation for this class was generated from the following file:

- OneZero.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.